Prima::Calendar - standard calendar widget Provides interactive selection of a date between 1900 and 2099 years. The main property, the date manpage, is a three-integer array, day, month, and year, if the format of perl localtime ( see the localtime entry in the perlfunc manpage ) - day can be in range from 0 to 30,month from 0 to 11, year from 0 to 199. use Prima::Calendar; my $cal = Prima::Calendar-> create( useLocale => 1, onChange => sub { print $_[0]-> date_as_string, "\n"; }, ); $cal-> date_from_time( localtime( time)); $cal-> month( 5);

Events
Called when the the date manpage property is changed.

Properties
Accepts three integers in format of "localtime". DAY can be from 0 to 30, MONTH from 0 to 11, YEAR from 0 to 199. Default value: today's date. Selects the day in month. Selects the month. If 1, the locale-specified names of months and days of week are used. These are read by calling "POSIX::strftime". If invoking POSIX module is failed, the property is automatically assigned to 0. If 0, the english names of months and days of week are used. Default value: 1 See also: the date_as_string manpage Selects the year.

Methods
Returns boolean value, whether the locale information can be retrieved by calling "strftime". Returns MONTH name accoring to the useLocale manpage value. Returns array of 12 month names accoring to the useLocale manpage value. Returns integer value, from 0 to 6, of the day of week on DAY, MONTH, YEAR date. The switch from Julian to Gregorian calendar is ignored. Returns string representation of date on DAY, MONTH, YEAR according to the useLocale manpage property value. Copies the date manpage from "localtime" or "gmtime" result. This helper method allows the following syntax: $calendar-> date_from_time( localtime( time)); Dmitry Karasik, <dmitry@karasik.eu.org>. the Prima manpage, the Prima::Widget manpage, the POSIX manpage, the localtime entry in the perlfunc manpage, the time entry in the perlfunc manpage, examples/calendar.pl.